Retrieves all the equipment_brand objects

Request Information

URI Parameters :

None.

Body Parameters :

None.

Response Information

Resource Description :

IHttpActionResult

equipment_brand
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier
name

Name of the equipment brand

string

Required

Max length: 50

code

The Id/Ref of the back office. Used by Embedded entity

string

Max length: 50

sales_organization_id

FK of sales_organization. Filled if specific of one SO, empty if can be used by all

globally unique identifier
sales_organization_code

Embedded entity "sales_organization" using ERP PK when adding/updating company_type

string
sales_organization

Embedded entity "sales_organization" when adding/updating company_type

sales_organization
modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date

Response Formats

application/json, text/json

Sample:
{
  "id": "21dc07b6-8b10-472a-9c53-1d4220238ca1",
  "name": "sample string 2",
  "code": "sample string 3",
  "sales_organization_id": "0493b1d7-d8c3-4afc-943a-d3a5d7eceb8b",
  "sales_organization_code": "sample string 5",
  "sales_organization": {
    "id": "ffe9fa81-36da-4513-b74f-8f86233f2e91",
    "code": "sample string 2",
    "name": "sample string 3",
    "description": "sample string 4",
    "db_country_id": "56e7a3f5-7880-4a62-8ccc-177929ccef61",
    "db_currency_id": "203ff617-cf82-4679-95c6-fa113c98e244",
    "db_language_id": "38caebd6-0c03-4fbb-be0c-911a2c02d13d",
    "accountancy_code": "sample string 8",
    "archived": true,
    "default_unit_of_measure_system_type": "sample string 10",
    "street": "sample string 11",
    "street2": "sample string 12",
    "street_number": "sample string 13",
    "zip": "sample string 14",
    "city": "sample string 15",
    "email": "sample string 16",
    "phone": "sample string 17",
    "fax": "sample string 18",
    "url": "sample string 19",
    "vat_reg_code": "sample string 20",
    "modified_dateutc": "2026-03-20T22:31:13.4475628+00:00"
  },
  "modified_dateutc": "2026-03-20T22:31:13.4475628+00:00"
}